﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace DAL.DBEntities
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    
    public partial class OMSEntities : DbContext
    {
        public OMSEntities()
            : base("name=OMSEntities")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        public virtual DbSet<vt_Cart> vt_Cart { get; set; }
        public virtual DbSet<vt_Country> vt_Country { get; set; }
        public virtual DbSet<vt_CustomerAgreement> vt_CustomerAgreement { get; set; }
        public virtual DbSet<vt_Customers> vt_Customers { get; set; }
        public virtual DbSet<vt_InvoiceAzure> vt_InvoiceAzure { get; set; }
        public virtual DbSet<vt_InvoiceOffice> vt_InvoiceOffice { get; set; }
        public virtual DbSet<vt_MicrosoftAgreement> vt_MicrosoftAgreement { get; set; }
        public virtual DbSet<vt_Order> vt_Order { get; set; }
        public virtual DbSet<vt_ProductDetails> vt_ProductDetails { get; set; }
        public virtual DbSet<vt_Products> vt_Products { get; set; }
        public virtual DbSet<vt_Subscription> vt_Subscription { get; set; }
        public virtual DbSet<vt_User> vt_User { get; set; }
        public virtual DbSet<vt_Invoice> vt_Invoice { get; set; }
        public virtual DbSet<vt_Invoice_P> vt_Invoice_P { get; set; }
        public virtual DbSet<vt_Region> vt_Region { get; set; }
        public virtual DbSet<vt_Role> vt_Role { get; set; }
        public virtual DbSet<vt_RolePermission> vt_RolePermission { get; set; }
    }
}
